using System;

internal sealed class Delegate779 : MulticastDelegate
{
	public extern string Invoke(object object_0, object object_1);

	public static string smethod_0(object object_0, object object_1, Delegate779 delegate779_1)
	{
		return delegate779_1(object_0, object_1);
	}

	public extern Delegate779(object object_0, IntPtr intptr_0);

	static Delegate779()
	{
		Class10.smethod_13(typeof(Delegate779).TypeHandle);
	}

	internal static Delegate779 delegate779_0;
}
